Skip to content
Docs

Change a skill

PATCH
/api/workspaces/{ws}/skills/{id}

status: "active" approves a draft a hire wrote.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

id*string

The id of what the path names: a hire, a connection, a skill, a shared file, a department, a position, a goal or an approval.

Request Body

application/json
  1. body
name?string
Lengthlength <= 1000
description?string
Lengthlength <= 10000
body?string
Lengthlength <= 2000000
files?
status?string

Response Body

The skill.

Example Request
curl -X PATCH 'https://app.useroster.work/api/workspaces/string/skills/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty